# dkim_sig_getsignalg()

[back to index]

SYNOPSIS |
    #include <dkim.h>
    DKIM_STAT dkim_sig_getsignalg(
    	DKIM_SIGINFO *sig,
            dkim_alg_t *alg
    );
Retrieve the signature algorithm used to sign a message after verification.
DESCRIPTION |
Called When | `dkim_sig_getsignalg()` is called after a signature is processed either explicitly by a call to `dkim_sig_process()` or by `dkim_eom()` to get the signing algorithm that was used to sign a message.
ARGUMENTS |
Argument | Description
--- | ---
sig | Signature-specific handle.
alg | A pointer to a `dkim_alg_t` which will receive the algorithm that was used to sign the message.
RETURN VALUES |
Value | Description
--- | ---
`DKIM_STAT_INVALID` | The function was called before `dkim_sig_process()` or `dkim_eom()` processed the siganture.
`DKIM_STAT_OK` | Successful completion.
NOTES | None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.